Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.util.gui
Class DOMViewer.Panel.NodeCSSValuesModel

    java.lang.Object
      javax.swing.table.AbstractTableModel
          org.apache.batik.util.gui.DOMViewer.Panel.NodeCSSValuesModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

Enclosing class:
  DOMViewer.Panel

protected class DOMViewer.Panel.NodeCSSValuesModel
extends javax.swing.table.AbstractTableModel

To display the CSS properties of a DOM node in a table.

See Also:
  Serialized Form

Field Summary
`protected org.w3c.dom.Node` | `node` The node.
`protected java.util.List` | `propertyNames` The property names.
`protected org.w3c.dom.css.CSSStyleDeclaration` | `style` The computed style.

Fields inherited from class javax.swing.table.AbstractTableModel
`listenerList`

Constructor Summary
`DOMViewer.Panel.NodeCSSValuesModel(org.w3c.dom.Node n)` Creates a new NodeAttributesModel object.

Method Summary
`int` | `getColumnCount()` Returns the number of columns in the table.
`java.lang.String` | `getColumnName(int col)` Returns the name to give to a column.
`int` | `getRowCount()` Returns the number of rows in the table.
`java.lang.Object` | `getValueAt(int row, int col)` Returns the value of the given cell.
`boolean` | `isCellEditable(int row, int col)` Whether the given cell is editable.

Methods inherited from class javax.swing.table.AbstractTableModel
`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, removeTableModelListener, setValueAt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### node

    protected org.w3c.dom.Node node

  The node.

### style

    protected org.w3c.dom.css.CSSStyleDeclaration style

  The computed style.

### propertyNames

    protected java.util.List propertyNames

  The property names.

Constructor Detail

### DOMViewer.Panel.NodeCSSValuesModel

    public DOMViewer.Panel.NodeCSSValuesModel(org.w3c.dom.Node n)

  Creates a new NodeAttributesModel object.

Method Detail

### getColumnName

    public java.lang.String getColumnName(int col)

  Returns the name to give to a column.

### getColumnCount

    public int getColumnCount()

  Returns the number of columns in the table.

### getRowCount

    public int getRowCount()

  Returns the number of rows in the table.

### isCellEditable

    public boolean isCellEditable(int row,
                                  int col)

  Whether the given cell is editable.

### getValueAt

    public java.lang.Object getValueAt(int row,
                                       int col)

  Returns the value of the given cell.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.